<script lang="ts">
import Vue from 'vue';
import { getPageMetadata } from '../common/meta';
import { CopyForm, NextStep } from '../components/common/index.vue';
import { FifteenHero } from '~/components/fifteen/index.vue';

export default Vue.extend({
  name: 'Seventeen',
  components: {
    FifteenHero,
    CopyForm,
    NextStep,
  },
  nuxtI18n: false,
  async asyncData({ $content }) {
    try {
      const page = await $content('seventeen').fetch();
      return { page };
    } catch (e) {
      throw new Error(e);
    }
  },
  head() {
    return getPageMetadata((this as any).page, this.$route.path);
  },
});
</script>

<template>
  <section>
    <FifteenHero :data="page.hero_image_block" />
    <SlpContainer class="copy-form seventeen-form-section">
      <CopyForm :data="page.register_form_block" />
    </SlpContainer>
    <SlpContainer variant="gradient">
      <NextStep />
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.copy-form {
  padding-top: $spacing-48;

  @media (min-width: $breakpoint-md) {
    padding: $spacing-96 0 $spacing-64;
  }
}
.seventeen-form-section {
  :deep {
    .mktoFieldDescriptor.mktoFormCol {
      .mktoLabel.mktoHasWidth {
        text-transform: lowercase !important;
      }
      .mktoLabel.mktoHasWidth#LbleventDateCode1 {
        text-transform: none !important;
      }
    }
  }
}
</style>
